unit U_InputBoxCard;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, DB, ADODB, cxGraphics, cxControls, cxLookAndFeels,
  cxLookAndFeelPainters, cxContainer, cxEdit, 
    Vcl.Menus, cxButtons, cxTextEdit,
  cxMaskEdit, cxDropDownEdit;

type
  TfrmInputBoxCard = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    TTE_BatchNo: TcxTextEdit;
    Label2: TLabel;
    TTE_CardQty: TcxTextEdit;
    cxButton1: TcxButton;
    cxButton2: TcxButton;
    cxButton3: TcxButton;
    procedure cxButton1Click(Sender: TObject);
    procedure cxButton2Click(Sender: TObject);
    procedure cxButton3Click(Sender: TObject);
  private
    { Private declarations }
  public
    FFFIDS: string;
    { Public declarations }
  end;

var
  frmInputBoxCard: TfrmInputBoxCard;

implementation

{$R *.dfm}

procedure TfrmInputBoxCard.cxButton1Click(Sender: TObject);
begin
  if StrToFloatDef(TTE_CardQty.Text, 0) = 0 then
    TTE_CardQty.Text := '0';

  ModalResult := 1;
end;

procedure TfrmInputBoxCard.cxButton2Click(Sender: TObject);
begin
  close;
end;

procedure TfrmInputBoxCard.cxButton3Click(Sender: TObject);
begin
  if StrToFloatDef(TTE_CardQty.Text, 0) = 0 then
    TTE_CardQty.Text := '0';

  ModalResult := 2;
end;

end.

